using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{
    [Table("wcs_task_manual")]
    public class WcsTaskManual
    {
        [Column("from_floor_no")]
        public int? fromFloorNo { get; set; }

        [Key]
        [Column("objid")]
        public long objid { get; set; }

        /// <summary>
        /// wcs_warehouse_order 主键id
        /// </summary>
        [Column("master_id")]
        public long? masterId { get; set; }

        /// <summary>
        /// wms出入库记录表id
        /// </summary>
        [Column("order_id")]
        public long? orderId { get; set; }

        /// <summary>
        /// 流水号
        /// </summary>
        [Column("serial_no")]
        public long? serialNo { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        [Column("equipment_no")]
        public string equipmentNo { get; set; }

        /// <summary>
        /// 容器号(托盘或者箱号)
        /// </summary>
        [Column("container_no")]
        public string containerNo { get; set; }

        /// <summary>
        /// 任务类型,字典表
        /// 27提升机输送线对接位-验收拆分区
        /// 28验收拆分区-原材料周转区
        /// 29回转输送线回库口-辅料库货架
        /// 30辅料库货架-回转输送线出库口
        /// 31回转输送线回库口-辅料库货架
        /// 32物料分拣位-装配区领料工位
        /// 33原材料周转区-背板安装区
        /// 34背板安装区-半成品周转区
        /// 35半成品周转区-检测台
        /// 37检验台-成品区
        /// 38成品区-提升机输送线对接点
        /// 46原材料-柜体拆分区
        /// 47接驳位-原材料周转区
        /// 
        /// 
        /// </summary>
        [Column("task_type")]
        public int? taskType { get; set; }

        /// <summary>
        /// 任务状态,字典表
        /// </summary>
        [Column("task_status")]
        public int? taskStatus { get; set; }

        /// <summary>
        /// 物料ID
        /// </summary>
        [Column("material_id")]
        public long? materialId { get; set; }

        /// <summary>
        /// 物料号
        /// </summary>
        [Column("material_no")]
        public string? materialBarcode { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        [Column("qty")]
        public int? qty { get; set; }

        /// <summary>
        /// 起始点编号
        /// </summary>
        [Column("start_point_no")]
        public string startPointNo { get; set; }

        /// <summary>
        /// 起始点id
        /// </summary>
        [Column("start_point_id")]
        public long? startPointId { get; set; }

        /// <summary>
        /// 当前点编号
        /// </summary>
        [Column("curr_point_no")]
        public string currPointNo { get; set; }

        /// <summary>
        /// 当前点id
        /// </summary>
        [Column("curr_point_id")]
        public long? currPointId { get; set; }

        /// <summary>
        /// 下一点位id
        /// </summary>
        [Column("next_point_id")]
        public long? nextPointId { get; set; }

        /// <summary>
        /// 下一点位编号
        /// </summary>
        [Column("next_point_no")]
        public string nextPointNo { get; set; }

        /// <summary>
        /// 结束点编号
        /// </summary>
        [Column("end_point_no")]
        public string endPointNo { get; set; }

        /// <summary>
        /// 结束点id
        /// </summary>
        [Column("end_point_id")]
        public long? endPointId { get; set; }

        /// <summary>
        /// 所属楼层
        /// </summary>
        [Column("floor_no")]
        public int? floorNo { get; set; }

        /// <summary>
        /// 是否可用  0:不可用  1:可用
        /// </summary>
        [Column("use_flag")]
        public int? useFlag { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_time")]
        public DateTime? createTime { get; set; }

        /// <summary>
        /// 更新者
        /// </summary>
        [Column("update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [Column("update_time")]
        public DateTime? updateTime { get; set; }

        /// <summary>
        /// 备用字段1
        /// </summary>
        [Column("ctu_execute")]
        public string CTUExecute { get; set; }

        /// <summary>
        /// 备用字段2
        /// </summary>
        [Column("is_empty")]
        public string isEmpty { get; set; }

        /// <summary>
        /// 备用字段3
        /// </summary>
        [Column("ud3")]
        public string ud3 { get; set; }
        /// <summary>
        /// 备用字段3
        /// </summary>
        [Column("ud1")]
        public int? ud1 { get; set; }
        /// <summary>
        /// 备用字段3
        /// </summary>
        [Column("ud2")]
        public string ud2 { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [Column("remark")]
        public string remark { get; set; }


    }
}
